Subject: bug#74774: Commit 5d284ebc8df87b0e21cee5844d66dc7c80863464 breaks reconfigure for systems using gnome-desktop-service-type

From: [email-masked]
Date: Wed, 11 Dec 2024 21:01:47 +0100

Hi giacomo,

On 2024-12-10 23:46, paul wrote:
> since 5d284ebc8df87b0e21cee5844d66dc7c80863464 it's not possible
> anymore to have gnome-desktop-service-type and xdg-destkop-portal-gtk
> installed in the system profile. Is this intended? Is there any
> workaround?

That was definitely not intended.

Sorry!

But that means that either way, sway or gnome will be broken.

I've reverted the commit for now--but that's not a solution. Now sway is 
broken (Screencast needs authenticator and that's unavailable in 
xdg-desktop-portal-wlr but available in xdg-desktop-portal-gtk--but 
after the revert, not both xdg-desktop-portal-wlr and 
xdg-desktop-portal-gtk can be installed) and gnome should be ok as 
before.

The revert is commit 27750bd0cddddab9e900f289a5520314ef66487e.